javax.transaction

## Interface TransactionManager

    public interface TransactionManager

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Mi, 25. Okt 2006) $

### Method Summary

Methods
`void` `begin()`
`void` `commit()`
`int` `getStatus()`
`Transaction` `getTransaction()`
`void` `resume(Transaction tobj)`
`void` `rollback()`
`void` `setRollbackOnly()`
`void` `setTransactionTimeout(int seconds)`
`Transaction` `suspend()`

### Method Detail

#### begin

    void begin()
               throws NotSupportedException,
                      SystemException

Throws:
  `NotSupportedException`
  `SystemException`

#### commit

    void commit()
                throws HeuristicMixedException,
                       HeuristicRollbackException,
                       IllegalStateException,
                       RollbackException,
                       SecurityException,
                       SystemException

Throws:
  `HeuristicMixedException`
  `HeuristicRollbackException`
  `IllegalStateException`
  `RollbackException`
  `SecurityException`
  `SystemException`

#### getStatus

    int getStatus()
                  throws SystemException

Throws:
  `SystemException`

#### getTransaction

    Transaction getTransaction()
                               throws SystemException

Throws:
  `SystemException`

#### resume

    void resume(Transaction tobj)
                throws IllegalStateException,
                       InvalidTransactionException,
                       SystemException

Throws:
  `IllegalStateException`
  `InvalidTransactionException`
  `SystemException`

#### rollback

    void rollback()
                  throws IllegalStateException,
                         SecurityException,
                         SystemException

Throws:
  `IllegalStateException`
  `SecurityException`
  `SystemException`

#### setRollbackOnly

    void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

Throws:
  `IllegalStateException`
  `SystemException`

#### setTransactionTimeout

    void setTransactionTimeout(int seconds)
                               throws SystemException

Throws:
  `SystemException`

#### suspend

    Transaction suspend()
                        throws SystemException

Throws:
  `SystemException`